<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <link href="/public/style.css" rel="stylesheet">

    <title>User Manager</title>

</head>
<body style="background-color: #e6e6e6; box-sizing: border-box">
<!--    <h1>Hello, world!</h1>-->
    <div id="app">
        <nav class="card-shadow navbar navbar-expand-lg navbar-light bg-white" style="background-color: white">
            <div class="navbar-brand" style="margin-left: 5vmin">User Manager</div>
                <ul class="navbar-nav">
                    <li class="nav-item"><router-link to="/" class="nav-link">Home</router-link></li>
                    <li class="nav-item"><router-link to="/user-list" class="nav-link">Users</router-link></li>
                    <li class="nav-item"><router-link to="/group-list" class="nav-link">Users groups</router-link></li>
                </ul>
        </nav>

        <div class="container" style="margin-top: 10vmin;">
            <router-view></router-view>
        </div>

    </div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vue@2.6.14"></script>
<script src="https://unpkg.com/vue-router/dist/vue-router.js"></script>

<script src="/public/users/userList.js"></script>
<script src="/public/users/userDetails.js"></script>
<script src="/public/users/userEdit.js"></script>
<script src="/public/users/userCreate.js"></script>

<script src="/public/groups/groupList.js"></script>
<script src="/public/groups/groupDetails.js"></script>
<script src="/public/groups/groupCreate.js"></script>
<script src="/public/groups/groupEdit.js"></script>
<script src="/public/groups/groupMembersEdit.js"></script>

<script src="/public/app.js"></script>

<noscript>
    JavaScript must be enabled to run this app.
</noscript>
</body>
</html>